<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple sensor stage strategy config table-->
<MultiSensorStageConfigTable>
    <rule name = "ZOOM[2.00 - 2.5) use wide insensorzoom">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
        <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
        <outState>
            <camera name = "wide" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.50 - 5.0) use wide insensorzoom">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
        <outState>
            <camera name = "wide" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[5.0 - 10.0) use wide insensorzoom">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[5.0 - 10.0) use tele foreteleQuadraAiraw insensorzoom">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraAiraw"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "child rule: ZOOM[10.0-100.0x), foreteleQuadraAiraw">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[5.0 - 10.0) foreteleQuadraLiteAiraw">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "child rule: ZOOM[10.0-100.0x), foreteleQuadraLiteAiraw">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[5.0 - 100.0) use tele foreteleQuadraAirawEllip insensorzoom">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "100.1"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraAirawEllip"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 5.0) AEC_HDR 3 use SHDR">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "5.0"/>
        <condition name = "AEC_HDR" value = "3"/>
        <outState>
            <camera name = "wide" stage = "shdr"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 3 W+T use SHDR">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "3"/>
        <outState>
            <camera name = "wide" stage = "shdr"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 5.0) AEC_HDR 1 use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "5.0"/>
        <condition name = "AEC_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 1 W+T use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 5.0) AEC_HDR 2 use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "5.0"/>
        <condition name = "AEC_HDR" value = "2"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 2 W+T use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "2"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "default setting all binning">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "100.1"/>
        <outState>
            <camera name = "ultra_wide"/>
            <camera name = "wide"/>
            <camera name = "tele"/>
            <camera name = "front"/>
        </outState>
    </rule>

</MultiSensorStageConfigTable>